Subject: RE: [Uri-review] Fwd: Re: Informational RFC to be: draft-paskin-d oi-uri-03.txt (updated from -02.txt)

From: "Hammond, Tony (ELSLON)" <[email-masked]>
Date: Fri, 16 May 2003 15:35:23 +0100

Hi Larry:

Thanks for the feedback on the "doi" URI Internet-Draft. You've raised some
useful points which we hope to have answered below.

Tony & Eamonn

Tony Hammond

Advanced Technology Group, Elsevier Ltd
32 Jamestown Road, London, NW1 7BY, UK

<tel:+44-20-7424-4445>
<mailto:[email-masked]>

#1 - Why not URN? To answer that point we note this passage in RFC 2396

	"Although many URL schemes are named after protocols, this does not
   imply that the only way to access the URL's resource is via the named
   protocol."

Is it now to be suggested that new candidate URI schemes must be tightly
bound to an Internet protocol?

We also note that the functional requirements for URNs (RFC 1737) do not
coincide with those of DOI, e.g. URN encoding. Furthermore, URN syntax
places additional restrictive syntactic constraints on "doi" URIs.

We view registered URI schemes such as "tel", "fax", etc as being valid and
see a useful precedent for a loose binding of URI scheme to Internet
protocol such as exhibited by DOI.

#2 - Section 7. Good point - the word "service" is used throughout the draft
in two different contexts - both for the DOI resolution mechanism, and for
DOI services accessible on dereference of a "doi" URI. We propose the
following change of "resolution service" to "resolution mechanism":

	"Resolution of a DOI is accomplished through an appropriate 
   resolution mechanism using a network protocol specific to that 
   mechanism."

There is intentionally no mention of the DOI resolution mechanisms, which
should be regarded as out-of-band services that are known to users of the
"doi" URI scheme, in the same fashion that users of the "tel" URI scheme
know how to dereference those URIs. (Note that additional out-of-band
knowledge also may be required to dereference a "tel" URI - e.g. if the user
is connected to a PBX and requires an external line.)

#3 - IDF. It wasn't clear to us that further details might be required for
an administrative authority - e.g. many URI schemes build upon the DNS
system and presume a knowledge of the DNS adminitrative authority. We could
revise the definition of the IDF to include some of the following text, e.g.
something along the lines of:

	"The International DOI Foundation, Inc. is a non-stock membership
   corporation organized in 1997 and existing under and by virtue of the
   General Corporation Law of the State of Delaware, USA. The Foundation
   is controlled by a Board elected by the members of the Foundation.
   The Corporation is a "not-for-profit" organization, i.e. prohibited
   from activities not permitted to be carried on by a corporation exempt
   from US federal income tax under Section 501(c)(6) of the Internal
   Revenue Code of 1986 et seq.

   The activities of the Foundation are controlled by its members,
   operating under a legal Charter and formal By-laws. Membership is open
   to all organizations with an interest in electronic publishing, content
   distribution, rights management, and related enabling technologies."

Current members of the IDF are listed below for reference. The list could be
included as an informative annex to the I-D.

#4 - Google. It should be pointed out that Google is primarily a harvester
of documents referenced by "http" URI. Further, and more importantly only
open sites are typically crawlable by robots. Subscription sites offering
high value content are generally not indexable through search engines like
Google.

To support the contention that DOI is a well-established identifier in an
active and deployed system the I-D referenced the DOI website for further
information. As a simple indication of current usage, however, you might
like to review last month's newsletter from CrossRef - a leading DOI
Registration Agent:

	http://www.crossref.org/01company/10newsletter.html#eodiu

	"Total Records in System: 7,458,490 (6,644,724 in January)"

#5 - Fee-based. Financial mechanisms are in place to support the DOI
directory services (registration and resolution), although no particular
business models are imposed upon DOI Registration Agencies. It is incorrect
to refer to DOI as being a fee-based system for the DOI Prefix Holders (i.e.
those enitities who can mint DOI identifiers) since this is not a
requirement of operating a Registration Agency. Further, a "doi" URI is free
at point of use (citation, dereference) by end users.

#6 - Patent/Trademark. First it should be pointed out that there is no
patent issued for DOI. Second, the intention in registering a trademark was
purely to secure the integrity of the DOI system. This matter, however,
would be best addressed by the IDF.

=====

Current members of the IDF (May 2003)

   CHARTER MEMBERS 

   Association of American Publishers
   British Library
   Elsevier
   International Publishers Association
   John Wiley & Sons
   McGraw-Hill, Educational and Professional Publishing Group
   Springer Verlag

   GENERAL MEMBERS 

   Association for Computing Machinery 
   Associazione Italiana Editori  
   Cambridge University Press 
   Copyright Clearance Center 
   Die Deutsche Bibliothek
   EDP Sciences 
   Hewlett-Packard Company 
   IEEE 
   International Federation of Reproduction Rights Organisations (IFRRO) 
   Joint Information Systems Committee (JISC)(UK) 
   Knowledge Solutions LLC 
   Koninklijke Bibliotheek 
   Microsoft Corporation 
   New England Journal of Medicine 
   Nielsen BookData 
   OCLC Online Computer Library Center Inc. 
   The Open University 
   Publishers Licensing Society 
   STM International Association 
   Wolters Kluwer International Health & Science  

> -----Original Message-----
> From: Larry Masinter [mailto:[email-masked]]
> Sent: 14 May 2003 17:55
> To: [email-masked]; [email-masked]
> Subject: RE: [Uri-review] Fwd: Re: Informational RFC to be:
> draft-paskin-doi-uri-03.txt (updated from -02.txt)
> 
> 
> I cannot find a functional difference between the spelling
> "permanent identifiers" with a D, O and I rather than
> a U, R and N. It seems to me that both have the same
> intrinsic difficulties. If the DOI consortium wants to
> resolve identifiers, it could as easily resolve those
> that start with "urn" as those that start with "doi",
> couldn't it? Or at least those that start with "urn:doi"?
> 
> >* DOI administration and resolution (sections 6, 7)
> 
> But the document's statement in section 7 is vacuous. It says:
> 
>   "Resolution of a DOI is accomplished through an appropriate 
>   resolution service using a network protocol specific to that 
>   service."
> 
> I can't figure out what this means; it isn't to contrast
> the method with resolution through an inappropriate resolution
> service, or using a network protocol which isn't appropriate
> for the service? But there's no actual definition for how
> resolution takes place.
> 
> Nor does it actually say how administration works. It makes
> reference to the "International DOI Foundation", without
> any reference to the terms of incorporation of this
> organization (if it is?) or its provenance. For all
> I know, the "International DOI Foundation" is Norm in
> his garage. Should we assign a URI namespace for everyone
> who asks for one?
> 
> Section 8.1 attempts to address "demonstrated utility",
> and claims there are "10 million examples in current
> use on the Internet". How was this number measured?
> (A google search on 'doi' shows 1 million hits, but
> most of those are about Doi-san (Japanese name) or
> the Department of Industry or Directorate of
> Information.
> 
> I wouldn't mind so much if the document were up-front about
> this being a naming service for a for-fee service
> for name registration, whether or not it is "non-profit".
> It's the same business model as the for-fee domain name
> business, or, for that matter, RealNames.
> 
> 
> Since "DOI and DOI.ORG are registered in the U.S. Patent
> and Trademark Office" (according to
>  http://www.doi.org/registration_agencies.html), shouldn't
> there be an additional intellectual property statement?
> 
> If someone were to use a 'doi' URI without the permission
> of the trademark/patent holder, would they be subject
> to any intellectual property constraints?
> 
> Larry
> 
> 
> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/uri-review
> 
_______________________________________________
Uri-review mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/uri-review

---

From: "Larry Masinter" <[email-masked]>
Date: Fri, 16 May 2003 12:31:54 -0700

Some background:

When the work on the "Common Name Resolution Protocol" was
begun, there was serious concern about the IETF endorsing
a mechanism that would wind up with "yet another DNS": yet
another system with a (controversial) for-fee mechanism
which charged an annual fee for assignment of names.
Quite a bit of work went into the development of RFC 2972
(which described the likely business models for naming
authorities and resolution services) before the protocol
(RFC 3367) and the URI scheme (RFC 3368) could be published.
That experience suggests that there is some sensitivity
around these issues, and that clear disclosure of policies
and processes is expected.

Secondly, with regard to 'tel' and 'fax' as precedents:
RFC 2806 maps the URI to a well-defined standard (E.164),
and explains the relationship between the E.164 strings and
local dial strings; how to dial a telephone number is
widely understood. The 'doi' document, which cites 'tel'
and 'fax' as a precedent, doesn't meet their level of
specification.

> Is it now to be suggested that new candidate URI schemes must 
> be tightly bound to an Internet protocol?

I think the candidate URI schemes must pass judgment as to
whether they're well-enough defined. I think the definition needs
to be in, or referenced by, the document that registers it.
There might be some legacy cases where the definition is weak,
but we should fix those. For some URIs, there's no resolution
service at all (such as with cid or mid or uuid) but only
a promise of uniqueness. But if you're going to promise
resolution, then the resolution needs to be defined.

In the case of DOI, there seems to be some promise
of a resolution services ("appropriate") without any
definition of what it is, who might run it, etc.

> places additional restrictive syntactic constraints on "doi" URIs.

I didn't see anything in the Internet Draft
about functional requirements for DOIs that would lead one
to conclude that the URN syntactic constraints are
unacceptable. 

     RFC 2396 states that a "URN differs from a URL in that it's [sic] 
     primary purpose is persistent labeling of a resource with an 
     identifier". A DOI on the other hand has a dual purpose: both to 
     provide for the persistent identification of an entity of 
     significance to the intellectual property communities, as well as 
     to enable access to a set of network services.

But every URN scheme has a purpose beyond the purpose of "urn"
in general--else why a new scheme at all? The argument is
illogical.

Section 3 of draft-paskin-doi-uri-03.txt seems to repeat
much of RFC 2396 BNF for no clear reason. The DOI syntax
seems to use "/" for a non-hierarchical purpose, which seems
to counter the general recommendations for URI syntax.

> 	"Total Records in System: 7,458,490 (6,644,724 in January)"

I wasn't taking Google as a sole authority; I was looking for
an independent ("without a beneficiary relationship") assessment
of the deployment of DOIs.

> would be best addressed by the IDF.

I think the word 'integrity' can be taken several different ways.
The integrity of a fee-collecting organization can only be secured
if it continues to have an exclusive right to collect fees. And
I don't really want to judge the intent, just the operational state.

While RFC 2026 section 10 only requires identification of intellectual
property rights in standards-track documents, it would seem to me
to be part of the judgment even for an 'informational' document
that registers a URI scheme to disclose something that is not otherwise
well-known.

From what I can see in the newsgroup discussion in
the library community, the use of DOI as a permanent
document identifier is considered, at least by some,
to be controversial, exactly because of the issues
of control, authority, collection of fees, and so forth.

Given the discussion in
http://www.crossref.org/01company/10newsletter.html#gi
of invoices, non-linking fees, etc., I think additional
disclosure is warranted, and that publication without
disclosure would be a bad precedent for the IETF.

Larry

---

From: Tim Kindberg <[email-masked]>
Date: Tue, 20 May 2003 01:42:43 -0700

Hi Larry et al.

At 12:31 PM 5/16/2003 -0700, Larry Masinter wrote:
>For some URIs, there's no resolution

There is a resolution service: mid and cid are principally for 
locating  content/messages from the id's; it's just that the spec doesn't 
define (much less mandate) the algorithm.

I'm confused about your reactions to tag and doi: so if we never mentioned 
a resolution service you'd be OK with them, but if we assert the existence 
of resolution services but deliberately don't specify them because that 
belongs elsewhere, you're not OK with them?

Cheers,

Tim.

Tim Kindberg
hewlett-packard laboratories
1501 page mill road, ms 1138
palo alto
ca 94304-1126
usa

purl.org/net/TimKindberg/home
[email-masked]
voice +1 650 857 5609
fax +1 650 857 2359

---

From: "Larry Masinter" <[email-masked]>
Date: Tue, 20 May 2003 09:03:38 -0700

I disagree with your characterization of my position;
I think that URI schemes should be "well defined".

Let me try to bring this back to first principles:

No one needs the IETF to publish a document any more.
Anyone can take a specification, publish it on their
web site, take out an ad in the New York Times or the
CACM, and get everyone else in the world to implement
their specification. Having something in funny RFC
ASCII instead of a nice easy-to-read format doesn't
help, really.

So what's the point of the IETF publishing anything?
The publication by the IETF must signify some kind
of review, that the document meets some kind of standard?
What is that standard? Well, RFC 2026 is a little fuzzy,
but in general, IETF publications are expected to
meet some kind of engineering (the E in IETF) review.

I think that includes the possibility that anyone
in the world can read an RFC, following the references,
if necessary, and figure out how to implement (E again)
the protocol (this is the "Internet" ETF after all)
specified in the document.  And the implementation
is expected, to some level, to be reasonably easy
to interpret, that the technology to implement it
is well-known, readily-available.

These are hard qualities to come up with an absolute
measure of, so we're left to 'engineering judgment',
and 'rough consensus' of engineering judgment at
that. We ask a bunch of engineers who don't have
a vested interest in the document to judge whether
it meets the fuzzy criteria.

This mailing list "uri-review" was set up to run
those kinds of reviews. And I volunteer my time
(since it doesn't have much of anything to do with
my day job) to give my opinion.

So, there you have it. If your management asked you
"hey, go implement this 'doi' scheme!", could you
do it? With the information in, or referenced by,
draft-paskin-doi-uri-03.txt?

Is it clear what it means? Or how you would go about
getting a DOI if you needed one? Or figuring out
what one pointed to if you got one?

I'd appreciate your engineering review of
draft-paskin-doi-uri-03.txt against general
IETF principles.

Larry
-- 
http://larry.masinter.net